Index: main/Creature.java
===================================================================
--- main/Creature.java	(revision 8edd04e287f45041eeee2cb294847453e4c6aac4)
+++ main/Creature.java	(revision 4d8825f3fe1264280fc968b1d8b39bd7983a64c1)
@@ -354,12 +354,12 @@
         imgProj = LostHavenRPG.imgBow;
       } else if (wType == ItemType.Spell) {
-        imgProj[0] = ImageIO.read(cr.getClass().getResource("../images/" + cr.type.toString() + "/proj.png"));
-        imgProj[1] = ImageIO.read(cr.getClass().getResource("../images/" + cr.type.toString() + "/proj.png"));
-        imgProj[2] = ImageIO.read(cr.getClass().getResource("../images/" + cr.type.toString() + "/proj.png"));
-        imgProj[3] = ImageIO.read(cr.getClass().getResource("../images/" + cr.type.toString() + "/proj.png"));
-        imgProj[4] = ImageIO.read(cr.getClass().getResource("../images/" + cr.type.toString() + "/proj.png"));
-        imgProj[5] = ImageIO.read(cr.getClass().getResource("../images/" + cr.type.toString() + "/proj.png"));
-        imgProj[6] = ImageIO.read(cr.getClass().getResource("../images/" + cr.type.toString() + "/proj.png"));
-        imgProj[7] = ImageIO.read(cr.getClass().getResource("../images/" + cr.type.toString() + "/proj.png"));
+        imgProj[0] = ImageIO.read(cr.getClass().getResource("/images/" + cr.type.toString() + "/proj.png"));
+        imgProj[1] = ImageIO.read(cr.getClass().getResource("/images/" + cr.type.toString() + "/proj.png"));
+        imgProj[2] = ImageIO.read(cr.getClass().getResource("/images/" + cr.type.toString() + "/proj.png"));
+        imgProj[3] = ImageIO.read(cr.getClass().getResource("/images/" + cr.type.toString() + "/proj.png"));
+        imgProj[4] = ImageIO.read(cr.getClass().getResource("/images/" + cr.type.toString() + "/proj.png"));
+        imgProj[5] = ImageIO.read(cr.getClass().getResource("/images/" + cr.type.toString() + "/proj.png"));
+        imgProj[6] = ImageIO.read(cr.getClass().getResource("/images/" + cr.type.toString() + "/proj.png"));
+        imgProj[7] = ImageIO.read(cr.getClass().getResource("/images/" + cr.type.toString() + "/proj.png"));
       }
       cr.model = cr.loadModel(cr.type.toString());
@@ -391,50 +391,50 @@
     BufferedImage walkE = null;
     BufferedImage walkW = null;
-    boolean hasDeathAnim = (getClass().getResource("../images/" + folder + "/Death1.png") != null);
+    boolean hasDeathAnim = (getClass().getResource("/images/" + folder + "/Death1.png") != null);
     try {
-      if (getClass().getResource("../images/" + folder + "/WalkN.png") != null) {
-        walkN = ImageIO.read(getClass().getResource("../images/" + folder + "/WalkN.png"));
+      if (getClass().getResource("/images/" + folder + "/WalkN.png") != null) {
+        walkN = ImageIO.read(getClass().getResource("/images/" + folder + "/WalkN.png"));
         anmWalkN.addFrame(walkN);
-        walkS = ImageIO.read(getClass().getResource("../images/" + folder + "/WalkS.png"));
+        walkS = ImageIO.read(getClass().getResource("/images/" + folder + "/WalkS.png"));
         anmWalkS.addFrame(walkS);
-        walkE = ImageIO.read(getClass().getResource("../images/" + folder + "/WalkE.png"));
+        walkE = ImageIO.read(getClass().getResource("/images/" + folder + "/WalkE.png"));
         anmWalkE.addFrame(walkE);
-        walkW = ImageIO.read(getClass().getResource("../images/" + folder + "/WalkW.png"));
+        walkW = ImageIO.read(getClass().getResource("/images/" + folder + "/WalkW.png"));
         anmWalkW.addFrame(walkW);
-      } else if (getClass().getResource("../images/" + folder + "/WalkN1.png") != null) {
-        walkN = ImageIO.read(getClass().getResource("../images/" + folder + "/WalkN1.png"));
+      } else if (getClass().getResource("/images/" + folder + "/WalkN1.png") != null) {
+        walkN = ImageIO.read(getClass().getResource("/images/" + folder + "/WalkN1.png"));
         anmWalkN.addFrame(walkN);
-        anmWalkN.addFrame(ImageIO.read(getClass().getResource("../images/" + folder + "/WalkN2.png")));
-        walkS = ImageIO.read(getClass().getResource("../images/" + folder + "/WalkS1.png"));
+        anmWalkN.addFrame(ImageIO.read(getClass().getResource("/images/" + folder + "/WalkN2.png")));
+        walkS = ImageIO.read(getClass().getResource("/images/" + folder + "/WalkS1.png"));
         anmWalkS.addFrame(walkS);
-        anmWalkS.addFrame(ImageIO.read(getClass().getResource("../images/" + folder + "/WalkS2.png")));
-        walkE = ImageIO.read(getClass().getResource("../images/" + folder + "/WalkE1.png"));
+        anmWalkS.addFrame(ImageIO.read(getClass().getResource("/images/" + folder + "/WalkS2.png")));
+        walkE = ImageIO.read(getClass().getResource("/images/" + folder + "/WalkE1.png"));
         anmWalkE.addFrame(walkE);
-        anmWalkE.addFrame(ImageIO.read(getClass().getResource("../images/" + folder + "/WalkE2.png")));
-        walkW = ImageIO.read(getClass().getResource("../images/" + folder + "/WalkW1.png"));
+        anmWalkE.addFrame(ImageIO.read(getClass().getResource("/images/" + folder + "/WalkE2.png")));
+        walkW = ImageIO.read(getClass().getResource("/images/" + folder + "/WalkW1.png"));
         anmWalkW.addFrame(walkW);
-        anmWalkW.addFrame(ImageIO.read(getClass().getResource("../images/" + folder + "/WalkW2.png")));
+        anmWalkW.addFrame(ImageIO.read(getClass().getResource("/images/" + folder + "/WalkW2.png")));
       } else {
         noAnims = true;
-        anmStandN.addFrame(ImageIO.read(getClass().getResource("../images/" + folder + "/" + folder + ".png")));
-        anmStandS.addFrame(ImageIO.read(getClass().getResource("../images/" + folder + "/" + folder + ".png")));
-        anmStandE.addFrame(ImageIO.read(getClass().getResource("../images/" + folder + "/" + folder + ".png")));
-        anmStandW.addFrame(ImageIO.read(getClass().getResource("../images/" + folder + "/" + folder + ".png")));
-        anmWalkN.addFrame(ImageIO.read(getClass().getResource("../images/" + folder + "/" + folder + ".png")));
-        anmWalkN.addFrame(ImageIO.read(getClass().getResource("../images/" + folder + "/" + folder + ".png")));
-        anmWalkS.addFrame(ImageIO.read(getClass().getResource("../images/" + folder + "/" + folder + ".png")));
-        anmWalkS.addFrame(ImageIO.read(getClass().getResource("../images/" + folder + "/" + folder + ".png")));
-        anmWalkE.addFrame(ImageIO.read(getClass().getResource("../images/" + folder + "/" + folder + ".png")));
-        anmWalkE.addFrame(ImageIO.read(getClass().getResource("../images/" + folder + "/" + folder + ".png")));
-        anmWalkW.addFrame(ImageIO.read(getClass().getResource("../images/" + folder + "/" + folder + ".png")));
-        anmWalkW.addFrame(ImageIO.read(getClass().getResource("../images/" + folder + "/" + folder + ".png")));
-        anmAttackN.addFrame(ImageIO.read(getClass().getResource("../images/" + folder + "/" + folder + ".png")));
-        anmAttackS.addFrame(ImageIO.read(getClass().getResource("../images/" + folder + "/" + folder + ".png")));
-        anmAttackE.addFrame(ImageIO.read(getClass().getResource("../images/" + folder + "/" + folder + ".png")));
-        anmAttackW.addFrame(ImageIO.read(getClass().getResource("../images/" + folder + "/" + folder + ".png")));
+        anmStandN.addFrame(ImageIO.read(getClass().getResource("/images/" + folder + "/" + folder + ".png")));
+        anmStandS.addFrame(ImageIO.read(getClass().getResource("/images/" + folder + "/" + folder + ".png")));
+        anmStandE.addFrame(ImageIO.read(getClass().getResource("/images/" + folder + "/" + folder + ".png")));
+        anmStandW.addFrame(ImageIO.read(getClass().getResource("/images/" + folder + "/" + folder + ".png")));
+        anmWalkN.addFrame(ImageIO.read(getClass().getResource("/images/" + folder + "/" + folder + ".png")));
+        anmWalkN.addFrame(ImageIO.read(getClass().getResource("/images/" + folder + "/" + folder + ".png")));
+        anmWalkS.addFrame(ImageIO.read(getClass().getResource("/images/" + folder + "/" + folder + ".png")));
+        anmWalkS.addFrame(ImageIO.read(getClass().getResource("/images/" + folder + "/" + folder + ".png")));
+        anmWalkE.addFrame(ImageIO.read(getClass().getResource("/images/" + folder + "/" + folder + ".png")));
+        anmWalkE.addFrame(ImageIO.read(getClass().getResource("/images/" + folder + "/" + folder + ".png")));
+        anmWalkW.addFrame(ImageIO.read(getClass().getResource("/images/" + folder + "/" + folder + ".png")));
+        anmWalkW.addFrame(ImageIO.read(getClass().getResource("/images/" + folder + "/" + folder + ".png")));
+        anmAttackN.addFrame(ImageIO.read(getClass().getResource("/images/" + folder + "/" + folder + ".png")));
+        anmAttackS.addFrame(ImageIO.read(getClass().getResource("/images/" + folder + "/" + folder + ".png")));
+        anmAttackE.addFrame(ImageIO.read(getClass().getResource("/images/" + folder + "/" + folder + ".png")));
+        anmAttackW.addFrame(ImageIO.read(getClass().getResource("/images/" + folder + "/" + folder + ".png")));
       }
       if (!noAnims) {
         BufferedImage standN, standS, standE, standW;
-        if (getClass().getResource("../images/" + folder + "/StandN.png") == null) {
+        if (getClass().getResource("/images/" + folder + "/StandN.png") == null) {
           standN = walkN;
           standS = walkS;
@@ -442,8 +442,8 @@
           standW = walkW;
         } else {
-          standN = ImageIO.read(getClass().getResource("../images/" + folder + "/StandN.png"));
-          standS = ImageIO.read(getClass().getResource("../images/" + folder + "/StandS.png"));
-          standE = ImageIO.read(getClass().getResource("../images/" + folder + "/StandE.png"));
-          standW = ImageIO.read(getClass().getResource("../images/" + folder + "/StandW.png"));
+          standN = ImageIO.read(getClass().getResource("/images/" + folder + "/StandN.png"));
+          standS = ImageIO.read(getClass().getResource("/images/" + folder + "/StandS.png"));
+          standE = ImageIO.read(getClass().getResource("/images/" + folder + "/StandE.png"));
+          standW = ImageIO.read(getClass().getResource("/images/" + folder + "/StandW.png"));
           anmWalkN = new Animation("north", 0, 0, 40, 60, 150, true);
           anmWalkS = new Animation("south", 0, 0, 40, 60, 150, true);
@@ -452,17 +452,17 @@
           anmWalkN.addFrame(walkN);
           anmWalkN.addFrame(standN);
-          anmWalkN.addFrame(ImageIO.read(getClass().getResource("../images/" + folder + "/WalkN2.png")));
+          anmWalkN.addFrame(ImageIO.read(getClass().getResource("/images/" + folder + "/WalkN2.png")));
           anmWalkN.addFrame(standN);
           anmWalkS.addFrame(walkS);
           anmWalkS.addFrame(standS);
-          anmWalkS.addFrame(ImageIO.read(getClass().getResource("../images/" + folder + "/WalkS2.png")));
+          anmWalkS.addFrame(ImageIO.read(getClass().getResource("/images/" + folder + "/WalkS2.png")));
           anmWalkS.addFrame(standS);
           anmWalkE.addFrame(walkE);
           anmWalkE.addFrame(standE);
-          anmWalkE.addFrame(ImageIO.read(getClass().getResource("../images/" + folder + "/WalkE2.png")));
+          anmWalkE.addFrame(ImageIO.read(getClass().getResource("/images/" + folder + "/WalkE2.png")));
           anmWalkE.addFrame(standE);
           anmWalkW.addFrame(walkW);
           anmWalkW.addFrame(standW);
-          anmWalkW.addFrame(ImageIO.read(getClass().getResource("../images/" + folder + "/WalkW2.png")));
+          anmWalkW.addFrame(ImageIO.read(getClass().getResource("/images/" + folder + "/WalkW2.png")));
           anmWalkW.addFrame(standW);
         } 
@@ -471,22 +471,22 @@
         anmStandE.addFrame(standE);
         anmStandW.addFrame(standW);
-        if (getClass().getResource("../images/" + folder + "/AttackN.png") != null) {
-          anmAttackN.addFrame(ImageIO.read(getClass().getResource("../images/" + folder + "/AttackN.png")));
+        if (getClass().getResource("/images/" + folder + "/AttackN.png") != null) {
+          anmAttackN.addFrame(ImageIO.read(getClass().getResource("/images/" + folder + "/AttackN.png")));
           anmAttackN.addFrame(standN);
-          anmAttackS.addFrame(ImageIO.read(getClass().getResource("../images/" + folder + "/AttackS.png")));
+          anmAttackS.addFrame(ImageIO.read(getClass().getResource("/images/" + folder + "/AttackS.png")));
           anmAttackS.addFrame(standS);
-          anmAttackE.addFrame(ImageIO.read(getClass().getResource("../images/" + folder + "/AttackE.png")));
+          anmAttackE.addFrame(ImageIO.read(getClass().getResource("/images/" + folder + "/AttackE.png")));
           anmAttackE.addFrame(standE);
-          anmAttackW.addFrame(ImageIO.read(getClass().getResource("../images/" + folder + "/AttackW.png")));
+          anmAttackW.addFrame(ImageIO.read(getClass().getResource("/images/" + folder + "/AttackW.png")));
           anmAttackW.addFrame(standW);
-        } else if (getClass().getResource("../images/" + folder + "/AttackN1.png") != null) {
-          anmAttackN.addFrame(ImageIO.read(getClass().getResource("../images/" + folder + "/AttackN1.png")));
-          anmAttackN.addFrame(ImageIO.read(getClass().getResource("../images/" + folder + "/AttackN2.png")));
-          anmAttackS.addFrame(ImageIO.read(getClass().getResource("../images/" + folder + "/AttackS1.png")));
-          anmAttackS.addFrame(ImageIO.read(getClass().getResource("../images/" + folder + "/AttackS2.png")));
-          anmAttackE.addFrame(ImageIO.read(getClass().getResource("../images/" + folder + "/AttackE1.png")));
-          anmAttackE.addFrame(ImageIO.read(getClass().getResource("../images/" + folder + "/AttackE2.png")));
-          anmAttackW.addFrame(ImageIO.read(getClass().getResource("../images/" + folder + "/AttackW1.png")));
-          anmAttackW.addFrame(ImageIO.read(getClass().getResource("../images/" + folder + "/AttackW2.png")));
+        } else if (getClass().getResource("/images/" + folder + "/AttackN1.png") != null) {
+          anmAttackN.addFrame(ImageIO.read(getClass().getResource("/images/" + folder + "/AttackN1.png")));
+          anmAttackN.addFrame(ImageIO.read(getClass().getResource("/images/" + folder + "/AttackN2.png")));
+          anmAttackS.addFrame(ImageIO.read(getClass().getResource("/images/" + folder + "/AttackS1.png")));
+          anmAttackS.addFrame(ImageIO.read(getClass().getResource("/images/" + folder + "/AttackS2.png")));
+          anmAttackE.addFrame(ImageIO.read(getClass().getResource("/images/" + folder + "/AttackE1.png")));
+          anmAttackE.addFrame(ImageIO.read(getClass().getResource("/images/" + folder + "/AttackE2.png")));
+          anmAttackW.addFrame(ImageIO.read(getClass().getResource("/images/" + folder + "/AttackW1.png")));
+          anmAttackW.addFrame(ImageIO.read(getClass().getResource("/images/" + folder + "/AttackW2.png")));
         } else {
           anmAttackN.addFrame(standN);
@@ -496,6 +496,6 @@
         } 
         if (hasDeathAnim) {
-          anmDeath.addFrame(ImageIO.read(getClass().getResource("../images/" + folder + "/Death1.png")));
-          anmDeath.addFrame(ImageIO.read(getClass().getResource("../images/" + folder + "/Death2.png")));
+          anmDeath.addFrame(ImageIO.read(getClass().getResource("/images/" + folder + "/Death1.png")));
+          anmDeath.addFrame(ImageIO.read(getClass().getResource("/images/" + folder + "/Death2.png")));
         } 
       }
